Generation Framework

## org.eclipse.gmf.mappings.presentation
Class GMFMapActionBarContributor

    java.lang.Object
      org.eclipse.ui.part.EditorActionBarContributor
          org.eclipse.ui.part.MultiPageEditorActionBarContributor
              org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
                  org.eclipse.gmf.mappings.presentation.GMFMapActionBarContributor

All Implemented Interfaces:
  IMenuListener, ISelectionChangedListener, IEditorActionBarContributor, IPropertyListener

    public class GMFMapActionBarContributor

extends org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
implements ISelectionChangedListener

This is the action bar contributor for the GMFMap model editor.

** Generated **

Field Summary
`protected IEditorPart` `activeEditorPart` This keeps track of the active editor
`protected java.util.Collection<IAction>` `createChildActions` This will contain one `CreateChildAction` corresponding to each descriptor generated for the current selection by the item provider
`protected IMenuManager` `createChildMenuManager` This is the menu manager into which menu contribution items should be added for CreateChild actions
`protected java.util.Collection<IAction>` `createSiblingActions` This will contain one `CreateSiblingAction` corresponding to each descriptor generated for the current selection by the item provider
`protected IMenuManager` `createSiblingMenuManager` This is the menu manager into which menu contribution items should be added for CreateSibling actions
`protected IAction` `refreshViewerAction` This action refreshes the viewer of the current editor if the editor implements `IViewerProvider`
`protected ISelectionProvider` `selectionProvider` This keeps track of the current selection provider
`protected IAction` `showPropertiesViewAction` This action opens the Properties view

Fields inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activeEditor, ADDITIONS_LAST_STYLE, controlAction, copyAction, cutAction, deleteAction, loadResourceAction, pasteAction, redoAction, style, undoAction, validateAction`

Constructor Summary
`GMFMapActionBarContributor()` This creates an instance of the contributor

Method Summary
`protected void` `addGlobalActions(IMenuManager menuManager)` This inserts global actions before the "additions-end" separator
`void` `contributeToMenu(IMenuManager menuManager)` This adds to the menu bar a menu and some separators for editor additions, as well as the sub-menus for object creation items
`void` `contributeToToolBar(IToolBarManager toolBarManager)` This adds Separators for editor additions to the tool bar
`protected void` `depopulateManager(IContributionManager manager, java.util.Collection<? extends IAction> actions)` This removes from the specified `manager` all `ActionContributionItem`s based on the `IAction`s contained in the `actions` collection
`protected java.util.Collection<IAction>` `generateCreateChildActions(java.util.Collection<?> descriptors, ISelection selection)` This generates a `CreateChildAction` for each object in `descriptors`, and returns the collection of these actions
`protected java.util.Collection<IAction>` `generateCreateSiblingActions(java.util.Collection<?> descriptors, ISelection selection)` This generates a `CreateSiblingAction` for each object in `descriptors`, and returns the collection of these actions
`void` `menuAboutToShow(IMenuManager menuManager)` This populates the pop-up menu before it appears
`protected void` `populateManager(IContributionManager manager, java.util.Collection<? extends IAction> actions, java.lang.String contributionID)` This populates the specified `manager` with `ActionContributionItem`s based on the `IAction`s contained in the `actions` collection, by inserting them before the specified contribution item `contributionID`.
`protected boolean` `removeAllReferencesOnDelete()` This ensures that a delete action will clean up all references to deleted objects
`void` `selectionChanged(SelectionChangedEvent event)` This implements `ISelectionChangedListener`, handling `SelectionChangedEvent`s by querying for the children and siblings that can be added to the selected object and updating the menus accordingly
`void` `setActiveEditor(IEditorPart part)` When the active editor changes, this remembers the change and registers with it as a selection provider

Methods inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activate, contributeToStatusLine, deactivate, getActiveEditor, init, propertyChanged, setActivePage, setActiveView, shareGlobalActions, update`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToCoolBar, dispose, getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### activeEditorPart

    protected IEditorPart activeEditorPart

  This keeps track of the active editor.

  ** Generated **

### selectionProvider

    protected ISelectionProvider selectionProvider

  This keeps track of the current selection provider.

  ** Generated **

### showPropertiesViewAction

    protected IAction showPropertiesViewAction

  This action opens the Properties view.

  ** Generated **

### refreshViewerAction

    protected IAction refreshViewerAction

  This action refreshes the viewer of the current editor if the editor implements `IViewerProvider`.

  ** Generated **

### createChildActions

    protected java.util.Collection<IAction> createChildActions

  This will contain one `CreateChildAction` corresponding to each descriptor generated for the current selection by the item provider.

  ** Generated **

### createChildMenuManager

    protected IMenuManager createChildMenuManager

  This is the menu manager into which menu contribution items should be added for CreateChild actions.

  ** Generated **

### createSiblingActions

    protected java.util.Collection<IAction> createSiblingActions

  This will contain one `CreateSiblingAction` corresponding to each descriptor generated for the current selection by the item provider.

  ** Generated **

### createSiblingMenuManager

    protected IMenuManager createSiblingMenuManager

  This is the menu manager into which menu contribution items should be added for CreateSibling actions.

  ** Generated **

Constructor Detail

### GMFMapActionBarContributor

    public GMFMapActionBarContributor()

  This creates an instance of the contributor.

  ** Generated **

Method Detail

### contributeToToolBar

    public void contributeToToolBar(IToolBarManager toolBarManager)

  This adds Separators for editor additions to the tool bar.

  Overrides:
    `contributeToToolBar` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`
  ** Generated **

### contributeToMenu

    public void contributeToMenu(IMenuManager menuManager)

  This adds to the menu bar a menu and some separators for editor additions, as well as the sub-menus for object creation items.

  Overrides:
    `contributeToMenu` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`
  ** Generated **

### setActiveEditor

    public void setActiveEditor(IEditorPart part)

  When the active editor changes, this remembers the change and registers with it as a selection provider.

  Specified by:
    `setActiveEditor` in interface `IEditorActionBarContributor`
  Overrides:
    `setActiveEditor` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`
  ** Generated **

### selectionChanged

    public void selectionChanged(SelectionChangedEvent event)

  This implements `ISelectionChangedListener`, handling `SelectionChangedEvent`s by querying for the children and siblings that can be added to the selected object and updating the menus accordingly.

  Specified by:
    `selectionChanged` in interface `ISelectionChangedListener`
  ** Generated **

### generateCreateChildActions

    protected java.util.Collection<IAction> generateCreateChildActions(java.util.Collection<?> descriptors,
                                                                       ISelection selection)

  This generates a `CreateChildAction` for each object in `descriptors`, and returns the collection of these actions.

  ** Generated **

### generateCreateSiblingActions

    protected java.util.Collection<IAction> generateCreateSiblingActions(java.util.Collection<?> descriptors,
                                                                         ISelection selection)

  This generates a `CreateSiblingAction` for each object in `descriptors`, and returns the collection of these actions.

  ** Generated **

### populateManager

    protected void populateManager(IContributionManager manager,
                                   java.util.Collection<? extends IAction> actions,
                                   java.lang.String contributionID)

  This populates the specified `manager` with `ActionContributionItem`s based on the `IAction`s contained in the `actions` collection, by inserting them before the specified contribution item `contributionID`. If `contributionID` is `null`, they are simply added.

  ** Generated **

### depopulateManager

    protected void depopulateManager(IContributionManager manager,
                                     java.util.Collection<? extends IAction> actions)

  This removes from the specified `manager` all `ActionContributionItem`s based on the `IAction`s contained in the `actions` collection.

  ** Generated **

### menuAboutToShow

    public void menuAboutToShow(IMenuManager menuManager)

  This populates the pop-up menu before it appears.

  Specified by:
    `menuAboutToShow` in interface `IMenuListener`
  Overrides:
    `menuAboutToShow` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`
  ** Generated **

### addGlobalActions

    protected void addGlobalActions(IMenuManager menuManager)

  This inserts global actions before the "additions-end" separator.

  Overrides:
    `addGlobalActions` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`
  ** Generated **

### removeAllReferencesOnDelete

    protected boolean removeAllReferencesOnDelete()

  This ensures that a delete action will clean up all references to deleted objects.

  Overrides:
    `removeAllReferencesOnDelete` in class `org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.